aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--recipes/obsolete/linux/handhelds-pxa-2.4.19-rmk6-pxa1-hh42/ipaq-hal.init (renamed from recipes/linux/files/ipaq-hal.init)0
-rw-r--r--recipes/obsolete/linux/handhelds-pxa-2.4.19-rmk6-pxa1-hh42/usb-gadget-ether-compat.patch (renamed from recipes/linux/files/usb-gadget-ether-compat.patch)0
-rw-r--r--recipes/obsolete/linux/handhelds-sa-2.4.19-rmk6-pxa1-hh42/ipaq-hal.init14
3 files changed, 14 insertions, 0 deletions
diff --git a/recipes/linux/files/ipaq-hal.init b/recipes/obsolete/linux/handhelds-pxa-2.4.19-rmk6-pxa1-hh42/ipaq-hal.init
index 4efb52ec97..4efb52ec97 100644
--- a/recipes/linux/files/ipaq-hal.init
+++ b/recipes/obsolete/linux/handhelds-pxa-2.4.19-rmk6-pxa1-hh42/ipaq-hal.init
diff --git a/recipes/linux/files/usb-gadget-ether-compat.patch b/recipes/obsolete/linux/handhelds-pxa-2.4.19-rmk6-pxa1-hh42/usb-gadget-ether-compat.patch
index 9e336cfa3c..9e336cfa3c 100644
--- a/recipes/linux/files/usb-gadget-ether-compat.patch
+++ b/recipes/obsolete/linux/handhelds-pxa-2.4.19-rmk6-pxa1-hh42/usb-gadget-ether-compat.patch
diff --git a/recipes/obsolete/linux/handhelds-sa-2.4.19-rmk6-pxa1-hh42/ipaq-hal.init b/recipes/obsolete/linux/handhelds-sa-2.4.19-rmk6-pxa1-hh42/ipaq-hal.init
new file mode 100644
index 0000000000..4efb52ec97
--- /dev/null
+++ b/recipes/obsolete/linux/handhelds-sa-2.4.19-rmk6-pxa1-hh42/ipaq-hal.init
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# make sure update-modules has been run
+# since the calls below depend on aliases...
+if [ ! -f /etc/modules.conf ]; then
+ update-modules || true
+fi
+
+modprobe ipaq_hal || exit 0
+
+if [ -d /proc/hal ]; then
+ model=`cat /proc/hal/model`
+ modprobe ipaq_hal_$model
+fi